osl::eval::ml::PtypeCombination Class Reference

`#include <minorPiece.h>`

## Public Types

enum | { ONE_DIM = 8192 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static MultiInt | eval (unsigned int ptypeo_mask)

## Static Private Member Functions

template<Player P>
static MultiInt | evalOne (unsigned int ptypeo_mask)

## Static Private Attributes

static CArray< MultiInt, 8192 > | table

## Detailed Description

Definition at line 1603 of file minorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 1606 of file minorPiece.h.

## Member Function Documentation

## eval()

osl::MultiInt osl::eval::ml::PtypeCombination::eval | ( | unsigned int | ptypeo_mask | ) |

static

Definition at line 2292 of file minorPiece.cc.

References evalOne().

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## evalOne()

template<Player P>

MultiInt osl::eval::ml::PtypeCombination::evalOne | ( | unsigned int | ptypeo_mask | ) |

inline static private

Definition at line 1611 of file minorPiece.h.

References osl::BLACK, and table.

Referenced by eval().

## setUp()

void osl::eval::ml::PtypeCombination::setUp | ( | const Weights & | weights | ) |

static

Definition at line 2260 of file minorPiece.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< osl::MultiInt, 8192 > osl::eval::ml::PtypeCombination::table

static private

Definition at line 1621 of file minorPiece.h.

Referenced by evalOne(), and setUp().

The documentation for this class was generated from the following files:

- minorPiece.h
- minorPiece.cc